const path = require('path');
const webpack = require('webpack');

module.exports = {
  entry: {
    'js/condition.common': './js/condition.common.es6.js',
    'js/condition_type.standard': './js/condition_type.standard.es6.js',
    'js/form': './js/form.es6.js',
    'js/smart_content': './js/smart_content.es6.js',
    'js/smart_content.storage': './js/smart_content.storage.es6.js',
    'modules/smart_content_browser/js/condition.browser': './modules/smart_content_browser/js/condition.browser.es6.js'
  },

  output: {
    path: path.resolve(__dirname),
    filename: '[name].js',
  },

  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: [/node_modules/],
        use: [
          {
            loader: 'babel-loader',
            options: {
              presets: [
                ['@babel/preset-env', {
                  modules: false,
                  targets: {
                    ie: 11,
                  },
                  useBuiltIns: 'usage',
                  corejs: 3,
                }],
              ],
            },
          },
        ],
      },
    ],
  },

  plugins: [
    new webpack.BannerPlugin({
      banner: 'DO NOT EDIT THIS FILE.',
    }),
  ],

}
